@echo off
rem *******************************************************************************
rem  Licenc hatálya alá eső anyagok - Az IBM tulajdona
rem  (c) Copyright IBM Corporation 2012. Minden jog fenntartva.
rem
rem  Megjegyzés az Egyesült Államokhoz kormányzati felhasználóira vonatkozó
rem  korlátozott jogokhoz: A használatot, sokszorosítást vagy közzétételt az
rem  IBM vállalattal kötött GSA ADP Schedule Contract szerződés szabályozza
rem  *******************************************************************************

rem ################################################################################
rem
rem Fájl a frissítési automatizált parancsfájlok által megjelenített üzeneteknek.
rem
rem ################################################################################

setlocal
set TAB=     
if "%1" == "" goto :LBLEND
if "%1" == "HELP" goto :LBLHELP
goto LBLMSG_%1


REM *********************************
REM * Kezdeti ellenőrzési üzenetek *
REM *********************************

:LBLMSG_NO_ADMIN_PRIVILEGES
echo.
echo A frissítést adminisztrátori jogokkal kell futtatni.
echo.
goto LBLEND

:LBLMSG_INVALID_LAUNCH
set TAB=    
echo.
echo Ne hajtsa végre közvetlenül az app_upgrade parancsfájlt.  A JTS kiszolgáló vagy alkalmazás frissítéséhez futtassa a következő parancsok egyikét:
echo %TAB%dm_upgrade
echo %TAB%vvc_upgrade
echo A fenti parancsok teljes leírásának megtekintéséhez használja a -help parancsot.
echo.
goto LBLEND

:LBLMSG_INVALID_START_DIR
set TAB=    
echo.
echo A(z) %2 parancsfájl csak a(z) %3 könyvtárból futtatható, kivéve ha a -help paramétert használja
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAME
echo.
echo A(z) "%2" tartalmazza a frissítési parancsfájl paraméterértékeit.
echo Ha módosítania kell bármely alapértelmezett paraméterértéket, szerkesztheti ezeket a fájlokat vagy a paraméterértékeket parancssori argumentumokként adhatja meg a frissítési parancsfájlok számára.
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAMES_LIST
echo.
echo A következő fájlok egy alkalmazás vagy egy JTS frissítésének alapértelmezett paraméterértékeit tartalmazzák.  Ha módosítania kell bármely alapértelmezett paraméterértéket, szerkesztheti ezeket a fájlokat vagy a paraméterértékeket parancssori argumentumokként adhatja meg a frissítési parancsfájlok számára.
echo %TAB%- DMM frissítés: "%2params\dm_params%3.bat"
echo %TAB%- VVC frissítés: "%2params\vvc_params%3.bat"
echo.
goto LBLEND


REM ************************************
REM * Paraméterek ellenőrzési üzenetei *
REM ************************************

REM Belső ellenőrzés
rem ======================

:LBLMSG_MISSING_APP_TYPE
echo.
echo Nem lett megadva JTS vagy alkalmazástípus.  A JTS kiszolgáló vagy alkalmazás frissítéséhez futtassa a következő parancsok egyikét:
echo     dm_upgrade
echo     vvc_upgrade
echo A fenti parancsok teljes leírásának megtekintéséhez használja a -help parancsot.
echo.
goto LBLEND

:LBLMSG_INVALID_APP_TYPE
echo.
echo A(z) %2 nem érvényes alkalmazástípus. Az alkalmazás frissítéséhez futtassa a következő parancsok egyikét:
echo     dm_upgrade
echo     vvc_upgrade
echo A fenti parancsok teljes leírásának megtekintéséhez használja a -help parancsot.
echo.
goto LBLEND

:LBLMSG_MISSING_PARAM_VALUE
echo.
echo A(z) %2 paraméter értéke hiányzik.
echo A paraméterek teljes leírásának megtekintéséhez használja a -help parancsot.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_DIR
echo.
echo A(z) %2 paraméterhez megadott %3 könyvtár nem létezik, vagy nem érvényes.
echo Használja a -help parancsot a paraméterek teljes leírásának megtekintéséhez.
echo.
goto LBLEND

:LBLMSG_RELATIVE_PARAM_DIR
echo.
echo A(z) %2 paraméterhez megadott %3 könyvtárnak abszolút elérési útnak kell lennie.
echo Használja a -help parancsot a paraméterek teljes leírásának megtekintéséhez.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_FILE
echo.
echo A(z) %2 paraméterhez megadott %3 fájl nem létezik vagy érvénytelen.
echo Használja a -help parancsot a paraméterek teljes leírásának megtekintéséhez.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_VALUE
echo.
echo A(z) %3 egy érvénytelen érték a(z) %2 paraméter esetében.
echo Használja a -help parancsot a paraméterek teljes leírásának megtekintéséhez.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM
echo.
echo A(z) %2 ismeretlen paraméter.
echo Használja a -help parancsot a paraméterek teljes leírásának megtekintéséhez.
echo.
goto LBLEND


REM Külső ellenőrzés
rem ======================

:LBLMSG_MISSING_HOME_PARAM
echo.
echo A(z) %2 saját könyvtár paraméter hiányzik.
echo A paraméterek teljes leírásának megtekintéséhez használja a -help parancsot.
echo.
goto LBLEND

:LBLMSG_DIR_NOT_FOUND
echo.
echo A(z) %2 könyvtár nem létezik vagy érvénytelen.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_2X_APP
echo.
echo A(z) '%2' alkalmazás repotools parancs nem található.
echo.
echo Ellenőrizze, hogy a(z) '%3' -oldApplicationHome paraméter a régi kiszolgáló konfigurációs könyvtárra mutat-e, például: 'JazzInstallDir\server\conf'.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_APP
echo.
echo A(z) '%2' alkalmazás repotools parancs nem található.
echo.
echo Ellenőrizze, hogy a(z) '%3' -oldApplicationHome paraméter a régi kiszolgáló konfigurációs könyvtárára mutat-e, például 'JazzInstallDir\server\conf', és hogy a(z) '%4' jtsContextRoot paraméter helyes-e.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_2X_APP
echo.
echo A(z) '%2' konfigurációs fájl nem található.
echo.
echo Ellenőrizze, hogy a(z) '%3' -oldApplicationHome paraméter a régi kiszolgáló konfigurációs könyvtárra mutat-e, például: 'JazzInstallDir\server\conf'.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_APP
echo.
echo A(z) '%2' konfigurációs fájl nem található.
echo.
echo Ellenőrizze, hogy a(z) '%3' -oldApplicationHome paraméter a régi kiszolgáló konfigurációs könyvtárára mutat-e, például 'JazzInstallDir\server\conf', és hogy a(z) '%4' jtsContextRoot paraméter helyes-e.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_APP
echo.
echo A(z) '%2' alkalmazás repotools parancs nem található.  
echo.
echo Ellenőrizze, hogy a(z) '%3' -newApplicationHome paraméter az új alkalmazáskiszolgáló konfigurációs könyvtárra mutat-e, például 'JazzInstallDir\server\conf', és hogy a(z) '%4' jtsContextRoot paraméter helyes-e.
echo Ha egy korábbi kiadásról frissít, győződjön meg róla, hogy a megfelelő kontextusgyökereket választotta.  Ha például az Installation Manager eszközt használja, a "Kontextusgyökér beállításai" panelen található %5 kontextusgyökér lehetőséget kell választania.  Ha véletlenül más lehetőséget választott, újra kell telepítenie a terméket a(z) %5 kontextusgyökér beállítással.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_APP
echo.
echo A(z) '%2' konfigurációs fájl nem található.
echo.
echo Ellenőrizze, hogy a(z) '%3' -newApplicationHome paraméter az új JTS kiszolgáló konfigurációs könyvtárára mutat-e, például 'JazzInstallDir\server\conf', és hogy a(z) '%4' jtsContextRoot paraméter helyes-e.
echo Ha egy korábbi kiadásról frissít, győződjön meg róla, hogy a megfelelő kontextusgyökereket választotta.  Ha például az Installation Manager eszközt használja, a "Kontextusgyökér beállításai" panelen található %5 kontextusgyökér lehetőséget kell választania.  Ha véletlenül más lehetőséget választott, újra kell telepítenie a terméket a(z) %5 kontextusgyökér beállítással.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_JTS
echo.
echo A(z) '%2' JTS repotools parancs nem található.
echo.
echo Ellenőrizze, hogy a(z) '%3' -oldJTSHome paraméter a régi JTS kiszolgáló konfigurációs könyvtárára mutat-e, például 'JazzInstallDir\server\conf', és hogy a(z) '%4' jtsContextRoot paraméter helyes-e.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_JTS
echo.
echo A(z) '%2' konfigurációs fájl nem található.
echo.
echo Ellenőrizze, hogy a(z) '%3' -oldJTSHome paraméter a régi JTS kiszolgáló konfigurációs könyvtárára mutat-e, például 'JazzInstallDir\server\conf', és hogy a(z) '%4' jtsContextRoot paraméter helyes-e.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_JTS
echo.
echo A(z) '%2' JTS repotools parancs nem található.
echo.
echo Ellenőrizze, hogy a(z) '%3' -newJTSHome paraméter az új JTS kiszolgáló konfigurációs könyvtárára mutat-e, például 'JazzInstallDir\server\conf', és hogy a(z) '%4' jtsContextRoot paraméter helyes-e.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_JTS
echo.
echo A(z) '%2' konfigurációs fájl nem található.
echo.
echo Ellenőrizze, hogy a(z) '%3' -newJTSHome paraméter az új JTS kiszolgáló konfigurációs könyvtárára mutat-e, például 'JazzInstallDir\server\conf', és hogy a(z) '%4' jtsContextRoot paraméter helyes-e.
echo.
goto LBLEND

:LBLMSG_MISSING_IMPORT_FROM_FILE
echo.
echo A(z) %2 frissítéshez egy 2.x adatokat tartalmazó tar fájl szükséges.
echo Használja a -help parancsot a paraméterek teljes leírásának megtekintéséhez.
echo.
goto LBLEND


REM *************************
REM * Végrehajtási üzenetek *
REM *************************

:LBLMSG_BANNER_dm
echo.
echo.
echo =============================================
echo ===    DM frissítés    ===
echo =============================================
echo.
goto LBLEND

:LBLMSG_BANNER_vvc
echo.
echo.
echo =============================================
echo ===    VVC frissítés    ===
echo =============================================
echo.
goto LBLEND


REM ***********************
REM * Első lépés kapcsoló *
REM ***********************

:LBLMSG_INITIAL_STEP_FAILED
echo.
echo A legutóbbi végrehajtás meghiúsult a kezdeti lépésnél...
goto LBLEND

:LBLMSG_LAST_STEP_FAILED
echo.
echo A legutóbbi végrehajtás meghiúsult a(z) %2. lépésnél...
echo Kívánja újraindítani a frissítést ettől vagy egy korábbi lépéstől? 
goto LBLEND

:LBLMSG_ALREADY_RUN
echo.
echo A frissítés már végre lett hajtva, és sikeresen befejeződött...
echo Kíván újraindítani egy új frissítést egy adott lépéstől? 
goto LBLEND

:LBLMSG_LAST_STEP_PASSED
echo.
echo A legutóbbi végrehajtás sikeresen leállt a(z) %2. lépésnél...
echo Kívánja újraindítani a frissítést a jelenlegi %3. vagy egy korábbi lépéstől? 
goto LBLEND

:LBLMSG_ENTER_NEXT_STEP
echo.
echo Írja be a lépés számát [%2-%3] amelytől újra kívánja indítani a frissítést, vagy [Enter] értéket a visszavonáshoz: 
goto LBLEND

:LBLMSG_INTEGER_STEP_NUMBER
echo.
echo A(z) '%2' nem szám. Adjon meg egy érvényes lépésszámot.
goto LBLEND

:LBLMSG_INVALID_STEP_NUMBER
echo.
echo A(z) '%2' érvénytelen lépésszám. Adjon meg egy érvényes lépésszámot.
goto LBLEND

:LBLMSG_MAX_STEP_NUMBER
echo.
echo Az utolsó lépés a(z) %2. lépés, ezért nem indíthatja újra a frissítést a(z) %3. lépéstől.
goto LBLEND

:LBLMSG_NUM_MAX_STEP_NUMBER
echo.
echo A(z) %2. lépés még nem futott, ezért nem indíthatja újra a frissítést a(z) %3. lépéstől.
goto LBLEND


REM **********************
REM * Üzenetek a lépésekhez *
REM **********************

:LBLMSG_STEP_0
echo 0. lépés: Konfigurációs fájlok frissítése
echo ---------------------------
goto LBLEND

:LBLMSG_STEP_1_ADD
echo 1. lépés: Táblák hozzáadása
echo ------------------
goto LBLEND

:LBLMSG_STEP_2_UPGRADE_DATA_WAREHOUSE
echo 2. lépés: Adattárház séma frissítése
echo -------------------------------------
goto LBLEND

:LBLMSG_STEP_2_REBUILD_QUERY_AND_INDEXES
echo %2. lépés: Lekérdezés újralétrehozása és indexek keresése
echo -----------------------------------------
goto LBLEND

:LBLMSG_STEP_3_UPGRADE_DATA_WAREHOUSE
echo 3. lépés: Adattárház séma frissítése
echo -------------------------------------
goto LBLEND

:LBLMSG_FULL_TEXT_INDICES_STEP
echo %2. lépés: Szövegindexek újraépítése
echo ----------------------------
goto LBLEND

:LBLMSG_JFS_INDICES_STEP
echo %2. lépés: Lekérdezés újralétrehozása és indexek keresése
echo -----------------------------------------
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_FAILED
echo.
echo A(z) %2 frissítése a(z) %3 lépésnél meghiúsult.  Javítsa ki a problémát, és futtassa újra a parancsfájlt a(z) %3 lépéstől.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_DM
echo.
echo A(z) %2 frissítés sikeres.  Ha a JTS és a VVC kiszolgálót is frissítette, akkor most elindíthatja azokat a környezetben.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_VVC
echo.
echo A(z) %2 frissítés sikeres.  Ha a JTS kiszolgálót és valamilyen függő alkalmazást (például DM) is frissített, akkor most elindíthatja a kiszolgálókat a környezetben.
echo.
goto LBLEND

REM ***************************************
REM * Üzenetek a lépések futtatása közben *
REM ***************************************

:LBLMSG_STEP_DIR_CMD
echo.
echo Könyvtár: %2
echo Parancs:
goto LBLEND

:LBLMSG_ENTER_STEP_ACTION
echo Írjon be [E] értéket ennek a lépésnek a végrehajtásához, [S] értéket a kihagyásához, vagy nyomja meg az [Enter] billentyűt a parancsfájl végrehajtásának visszavonásához: 
goto LBLEND

:LBLMSG_INVALID_STEP_ACTION
echo.
echo A(z) '%2' érvénytelen bejegyzés, csak 'E', 'S' vagy 'Enter' engedélyezett
echo.
goto LBLEND

:LBLMSG_EDIT_TEAMSERVER_PROPERTIES
echo.
echo Megnyílik a jegyzettömbszerkesztő, amely segítségével ellenőrizheti a(z) %2 teamserver.properties fájlt.
echo Ellenőrizze, hogy a com.ibm.team.repository.server.webapp.url tulajdonsággal jelölt Nyilvános URI gyökér helyes-e.
echo Ellenőrizze, hogy az adatbázis-tulajdonságok helyesek-e.
echo Ha befejezte, mentse az esetleges módosításokat, és zárja be a szerkesztőt a parancsfájl végrehajtásának folytatásához.
echo.
goto LBLEND

:LBLMSG_PAUSE
echo.
echo Nyomja meg a [C] billentyűt a végrehajtás folytatásához, vagy nyomja meg az [Enter] billentyűt a parancsfájl végrehajtásának visszavonásához: 
goto LBLEND

:LBLMSG_INVALID_PAUSE_ACTION
echo.
echo A(z) '%2' érvénytelen bejegyzés, csak a 'C' vagy az 'Enter' engedélyezett
echo.
goto LBLEND

:LBLMSG_COPY_INDICES_FAILED
echo.
echo Nem sikerült átmásolni a szövegindexeket. Forrás: '%2', cél: '%3'.
echo Győződjön meg róla, hogy a com.ibm.team.fulltext.indexLocation
echo tulajdonság meg van határozva a teamserver.properties fájlban.
echo Kézzel másolja át a szövegindexeket ebbe a könyvtárba,
echo vagy futtassa a -rebuildTextIndices parancsot az újraépítésükhöz.
echo.
goto LBLEND

REM *********************************************
REM * Üzenetek a nyilvános URI-k ellenőrzéséhez *
REM *********************************************

:LBLMSG_MISSING_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! HIBA !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Nincs nyilvános URI meghatározva itt:
echo %3,
echo így a frissítés nem indítható el.
echo.
echo Legalább egy nyilvános URI elemnek jelen kell lennie ebben a fájlban, a következőképpen megadva:
echo https\://hostname.example.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo A com.ibm.team.repository.server.webapp.url Nyilvános URI tulajdonságnak jelen kell lennie a teamserver.properties fájlban.
echo Adja hozzá a tulajdonságot a régi telepítés teamserver.properties fájljához, és állítsa be az értékét arra az URI gyökérre, amelyet minden ügyfél használhat a kiszolgáló eléréséhez.
echo A Nyilvános URI gyökér alapvető fontosságú az új telepítés megfelelő működéséhez. A frissítés sikertelen lesz ezen tulajdonság nélkül.  
echo További információkért tekintse meg az Információközpont 'Saját URI-azonosítók tervezése' témakörét.
echo.
goto LBLEND

:LBLMSG_COMMENTED_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! HIBA !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Minden nyilvános, a(z)
echo %3
echo helyen meghatározott URI megjegyzéssel van ellátva, így a frissítés nem indítható el.
echo.
echo Legalább egy megjegyzés nélküli URI-nak kell lennie ebben a fájlban, a következőkképpen megadva:
echo https\://hostname.example.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo A com.ibm.team.repository.server.webapp.url Nyilvános URI tulajdonságnak jelen kell lennie a teamserver.properties fájlban.
echo Adja hozzá a tulajdonságot a régi telepítés teamserver.properties fájljához, és állítsa be az értékét arra az URI gyökérre, amelyet minden ügyfél használhat a kiszolgáló eléréséhez.
echo A Nyilvános URI gyökér alapvető fontosságú az új telepítés megfelelő működéséhez. A frissítés sikertelen lesz ezen tulajdonság nélkül.
echo További információkért tekintse meg az Információközpont 'Saját URI-azonosítók tervezése' témakörét.
echo.
goto LBLEND

:LBLMSG_CONTEXT_ROOTS_CANNOT_BE_SAME
echo.
echo A jts kontextusgyökere a következőre van beállítva: '%2'.
echo Az alkalmazás kontextusgyökere a következőre van beállítva: '%3'.
echo A jts és az alkalmazás kontextusgyökere nem lehet azonos.
echo.
goto LBLEND

:LBLEND
endlocal
