@echo off
rem *******************************************************************************
rem  Materiais Licenciados - Propriedade da IBM
rem  (c) Copyright IBM Corporation 2012. Todos os Direitos Reservados.
rem
rem  Nota sobre Direitos Restritos para Usuários do Governo dos Estados Unidos:
rem  Uso, duplicação ou divulgação restritos pelo documento GSA ADP Schedule
rem  Contract com a IBM Corp.
rem  *******************************************************************************

rem ################################################################################
rem
rem Arquivo para mensagens exibidas pelos scripts automatizados de upgrade.
rem
rem ################################################################################

setlocal
set TAB=
if "%1" == "" goto :LBLEND
if "%1" == "HELP" goto :LBLHELP
goto LBLMSG_%1


REM ************************************
REM * Mensagens de verificação inicial *
REM ************************************

:LBLMSG_NO_ADMIN_PRIVILEGES
echo.
echo O upgrade deve ser executado com direitos de administrador.
echo.
goto LBLEND

:LBLMSG_INVALID_LAUNCH
set TAB=
echo.
echo Não execute o script app_upgrade diretamente.  Para atualizar o JTS ou o aplicativo, execute um dos seguintes comandos:
echo %TAB%dm_upgrade
echo %TAB%vvc_upgrade
echo Use -help para obter uma descrição completa dos comandos acima.
echo.
goto LBLEND

:LBLMSG_INVALID_START_DIR
set TAB=
echo.
echo Exceto ao usar o parâmetro -help, o script %2 não pode ser executado a partir de um outro diretório diferente de %3
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAME
echo.
echo O arquivo "%2" contém os valores de parâmetro para o script de atualização.
echo Se precisar modificar qualquer valor de parâmetro padrão, é possível editar estes arquivos ou especificar os valores de parâmetro como argumentos de linha de comandos para os scripts de atualização.
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAMES_LIST
echo.
echo O seguinte conjunto de arquivos contém valores de parâmetro padrão para um aplicativo ou atualização de JTS.  Se for necessário modificar qualquer valor de parâmetro padrão, é possível editar estes arquivos ou especificar os valores de parâmetro como argumentos de linha de comandos para os scripts de atualização.
echo %TAB%- DMM upgrade: "%2params\dm_params%3.bat"
echo %TAB%- VVC upgrade:  "%2params\vvc_params%3.bat"
echo.
goto LBLEND


REM ************************************
REM * Mensagens de Verificação de Parâmetros *
REM ************************************

REM Verificação Intrínseca
rem ======================

:LBLMSG_MISSING_APP_TYPE
echo.
echo Nenhum JTS ou tipo de aplicativo foi especificado.  Para atualizar o JTS ou um aplicativo, execute um dos seguintes comandos:
echo     dm_upgrade
echo     vvc_upgrade
echo Use -help para obter uma descrição completa dos comandos acima.
echo.
goto LBLEND

:LBLMSG_INVALID_APP_TYPE
echo.
echo %2 não é um tipo de aplicativo válido.  Para atualizar o aplicativo, execute um dos seguintes comandos:
echo     dm_upgrade
echo     vvc_upgrade
echo Use -help para obter uma descrição completa dos comandos acima.
echo.
goto LBLEND

:LBLMSG_MISSING_PARAM_VALUE
echo.
echo Valor ausente para o parâmetro %2.
echo Use -help para obter uma descrição completa dos parâmetros.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_DIR
echo.
echo O diretório %3, especificado para o parâmetro %2, não existe ou não é válido.
echo Use -help para obter uma descrição completa dos parâmetros.
echo.
goto LBLEND

:LBLMSG_RELATIVE_PARAM_DIR
echo.
echo O diretório %3, especificado para o parâmetro %2, deve ser um caminho absoluto.
echo Use -help para obter uma descrição completa dos parâmetros.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_FILE
echo.
echo O arquivo %3 especificado para o parâmetro %2, não existe ou não é válido.
echo Use -help para obter uma descrição completa dos parâmetros.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_VALUE
echo.
echo %3 é um valor inválido para o parâmetro %2.
echo Use -help para obter uma descrição completa dos parâmetros.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM
echo.
echo %2 é um parâmetro desconhecido.
echo Use -help para obter uma descrição completa dos parâmetros.
echo.
goto LBLEND


REM Verificação Extrínseca
rem ======================

:LBLMSG_MISSING_HOME_PARAM
echo.
echo Parâmetro de diretório inicial %2 ausente.
echo Use -help para uma descrição completa dos parâmetros.
echo.
goto LBLEND

:LBLMSG_DIR_NOT_FOUND
echo.
echo O diretório %2 não existe ou não é válido.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_2X_APP
echo.
echo Não é possível localizar o comando repotools do aplicativo '%2'.
echo.
echo Verifique se o parâmetro -oldApplicationHome '%3' está apontando para o diretório antigo de configuração do servidor; por exemplo, 'JazzInstallDir\server\conf'.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_APP
echo.
echo Não é possível localizar o comando repotools do aplicativo '%2'.
echo.
echo Verifique se o parâmetro -oldApplicationHome '%3' está apontando para o diretório de configuração do servidor antigo, por exemplo, 'JazzInstallDir\server\conf' e se o parâmetro jtsContextRoot '%4' está correto.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_2X_APP
echo.
echo Não é possível localizar o arquivo de configuração '%2'.
echo.
echo Verifique se o parâmetro -oldApplicationHome '%3' está apontando para o diretório antigo de configuração do servidor; por exemplo, 'JazzInstallDir\server\conf'.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_APP
echo.
echo Não é possível localizar o arquivo de configuração '%2'.
echo.
echo Verifique se o parâmetro -oldApplicationHome '%3' está apontando para o diretório de configuração do servidor antigo, por exemplo, 'JazzInstallDir\server\conf' e se o parâmetro jtsContextRoot '%4' está correto.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_APP
echo.
echo Não é possível localizar o comando repotools do aplicativo '%2'.  
echo.
echo Verifique se o parâmetro -newApplicationHome '%3' está apontando para o novo diretório de configuração do servidor de aplicativos, por exemplo, 'JazzInstallDir\server\conf' e se o parâmetro jtsContextRoot '%4' está correto.
echo Se estiver atualizando de uma liberação anterior, certifique-se de que tenha selecionado as raízes de contexto corretas.  Por exemplo, se estiver usando o Installation Manager, você deverá selecionar a opção de raiz de contexto %5 no painel  "Opções de Raiz de Contexto".  Se tiver selecionado, acidentalmente, uma opção diferente, você deverá reinstalar o produto com a opção de raiz de contexto %5.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_APP
echo.
echo Não é possível localizar o arquivo de configuração '%2'.
echo.
echo Verifique se o parâmetro -newApplicationHome '%3' está apontando para o novo diretório de configuração do servidor JTS, por exemplo, 'JazzInstallDir\server\conf' e se o parâmetro jtsContextRoot '%4' está correto.
echo Se estiver atualizando de uma liberação anterior, certifique-se de que tenha selecionado as raízes de contexto corretas.  Por exemplo, se estiver usando o Installation Manager, você deverá selecionar a opção de raiz de contexto %5 no painel  "Opções de Raiz de Contexto".  Se tiver selecionado, acidentalmente, uma opção diferente, você deverá reinstalar o produto com a opção de raiz de contexto %5.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_JTS
echo.
echo Não é possível localizar o comando JTS repotools '%2'.
echo.
echo Verifique se o parâmetro -oldJTSHome '%3' está apontando para o diretório de configuração do servidor JTS antigo, por exemplo, 'JazzInstallDir\server\conf' e se o parâmetro jtsContextRoot '%4' está correto.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_JTS
echo.
echo Não é possível localizar o arquivo de configuração '%2'.
echo.
echo Verifique se o parâmetro -oldJTSHome '%3' está apontando para o diretório de configuração do servidor JTS antigo, por exemplo, 'JazzInstallDir\server\conf' e se o parâmetro jtsContextRoot '%4' está correto.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_JTS
echo.
echo Não é possível localizar o comando JTS repotools '%2'.
echo.
echo Verifique se o parâmetro -newJTSHome '%3' está apontando para o novo diretório de configuração do servidor JTS, por exemplo, 'JazzInstallDir\server\conf' e se o parâmetro jtsContextRoot '%4' está correto.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_JTS
echo.
echo Não é possível localizar o arquivo de configuração '%2'.
echo.
echo Verifique se o parâmetro -newJTSHome '%3' está apontando para o novo diretório de configuração do servidor JTS, por exemplo, 'JazzInstallDir\server\conf' e se o parâmetro jtsContextRoot '%4' está correto.
echo.
goto LBLEND

:LBLMSG_MISSING_IMPORT_FROM_FILE
echo.
echo É requerido um arquivo tar que contenha dados 2.x para o upgrade %2.
echo Use -help para obter uma descrição completa dos parâmetros.
echo.
goto LBLEND


REM **********************
REM * Mensagens de Execução *
REM **********************

:LBLMSG_BANNER_dm
echo.
echo.
echo =============================================
echo ===    Upgrade do DM    ===
echo =============================================
echo.
goto LBLEND

:LBLMSG_BANNER_vvc
echo.
echo.
echo =============================================
echo ===    Upgrade do VVC    ===
echo =============================================
echo.
goto LBLEND


REM *********************
REM * Comutador First Step *
REM *********************

:LBLMSG_INITIAL_STEP_FAILED
echo.
echo Última execução falhou na etapa inicial...
goto LBLEND

:LBLMSG_LAST_STEP_FAILED
echo.
echo Última execução falhou na etapa %2...
echo Deseja reiniciar o upgrade a partir desta etapa ou de uma anterior? 
goto LBLEND

:LBLMSG_ALREADY_RUN
echo.
echo O upgrade já foi feito e concluído com sucesso...
echo Deseja reiniciar um novo a partir de uma etapa específica? 
goto LBLEND

:LBLMSG_LAST_STEP_PASSED
echo.
echo Última execução foi interrompida com sucesso na etapa %2...
echo Deseja reiniciar o upgrade a partir da etapa %3 atual ou de uma anterior? 
goto LBLEND

:LBLMSG_ENTER_NEXT_STEP
echo.
echo Insira o número da etapa [%2-%3] a partir da qual deseja reiniciar o upgrade ou [Enter] para Cancelar:
goto LBLEND

:LBLMSG_INTEGER_STEP_NUMBER
echo.
echo '%2' não é um número. Insira um número de etapa válido.
goto LBLEND

:LBLMSG_INVALID_STEP_NUMBER
echo.
echo '%2' é um número de etapa inválido. Insira um número de etapa válido.
goto LBLEND

:LBLMSG_MAX_STEP_NUMBER
echo.
echo A última etapa é a etapa %2, portanto, não é possível reiniciar o upgrade na etapa %3.
goto LBLEND

:LBLMSG_NUM_MAX_STEP_NUMBER
echo.
echo A etapa %2 não foi executada ainda, portanto, não é possível reiniciar o upgrade na etapa %3.
goto LBLEND


REM **********************
REM * Mensagens para Etapas *
REM **********************

:LBLMSG_STEP_0
echo Etapa 0: Atualizar arquivos de configuração
echo ---------------------------
goto LBLEND

:LBLMSG_STEP_1_ADD
echo Etapa 1: Incluir tabelas
echo ------------------
goto LBLEND

:LBLMSG_STEP_2_UPGRADE_DATA_WAREHOUSE
echo Etapa 2: Atualizar o esquema do armazém de dados
echo -------------------------------------
goto LBLEND

:LBLMSG_STEP_2_REBUILD_QUERY_AND_INDEXES
echo Etapa %2: Recriar os índices de consulta e procura
echo -----------------------------------------
goto LBLEND

:LBLMSG_STEP_3_UPGRADE_DATA_WAREHOUSE
echo Etapa 3: Atualizar o esquema do armazém de dados
echo -------------------------------------
goto LBLEND

:LBLMSG_FULL_TEXT_INDICES_STEP
echo Etapa %2: Recriar os índices de texto
echo ----------------------------
goto LBLEND

:LBLMSG_JFS_INDICES_STEP
echo Etapa %2: Recriar índices de consulta e procura
echo -----------------------------------------
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_FAILED
echo.
echo A atualização %2 falhou na etapa %3.  Corrija o problema e execute o script novamente começando na etapa $3.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_DM
echo.
echo A atualização %2 foi bem-sucedida.  Se também atualizou o JTS e o VVC, você poderá iniciar os servidores na implementação.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_VVC
echo.
echo A atualização %2 foi bem-sucedida.  Se também tiver atualizado o JTS e qualquer aplicativo dependente (como o DM), você poderá iniciar os servidor na implementação.
echo.
goto LBLEND

REM *******************************
REM * Mensagens durante execução da etapa *
REM *******************************

:LBLMSG_STEP_DIR_CMD
echo.
echo Diretório: %2
echo Comando:
goto LBLEND

:LBLMSG_ENTER_STEP_ACTION
echo Insira [E] para executar esta etapa, [S] para ignorá-la ou pressione [Enter] para cancelar a execução do script:
goto LBLEND

:LBLMSG_INVALID_STEP_ACTION
echo.
echo '%2' é uma entrada inválida, apenas 'E', 'S' ou 'Enter' são permitidos
echo.
goto LBLEND

:LBLMSG_EDIT_TEAMSERVER_PROPERTIES
echo.
echo Um editor do bloco de notas será aberto permitindo que você verifique o arquivo teamserver.properties %2.
echo Verifique se a raiz de URI Público denotada pela propriedade com.ibm.team.repository.server.webapp.url está correta.
echo Verifique se as propriedades do banco de dados estão corretas.
echo Quando estiver pronto, salve as mudanças se houver alguma e feche o editor para continuar a execução do script.
echo.
goto LBLEND

:LBLMSG_PAUSE
echo.
echo Insira [C] para continuar a execução ou pressione [Enter] para cancelar a execução do script:
goto LBLEND

:LBLMSG_INVALID_PAUSE_ACTION
echo.
echo '%2' é uma entrada inválida, apenas 'C' ou 'Enter' são permitidos
echo.
goto LBLEND

:LBLMSG_COPY_INDICES_FAILED
echo.
echo Falha ao copiar índices de texto de '%2' a '%3'. 
echo Verifique a propriedade com.ibm.team.fulltext.indexLocation
echo definida no arquivo teamserver.properties.
echo Copie manualmente os índices de texto deste diretório
echo ou execute repotools -rebuildTextIndices para recriá-los.
echo.
goto LBLEND

REM *****************************************
REM * Mensagens para verificação de URIs Públicos *
REM *****************************************

:LBLMSG_MISSING_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERRO !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Não há nenhuma URI Pública definida em
echo %3,
echo portanto, o upgrade não pode ser iniciado.
echo.
echo Deve haver um URI Público neste arquivo definido conforme a seguir:
echo https\://hostname.example.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo A propriedade de URI Público com.ibm.team.repository.server.webapp.url deve estar presente no arquivo teamserver.properties.
echo Inclua a propriedade no arquivo teamserver.properties da instalação antiga e configure o valor para ser a raiz da URI que todos os clientes usam para atingir o servidor.
echo A raiz da URI Pública é essencial para o funcionamento adequado da nova instalação. A atualização não será concluída com sucesso sem esta propriedade.  
echo Para obter mais informações, consulte o tópico 'Planejando as URIs' do InfoCenter.
echo.
goto LBLEND

:LBLMSG_COMMENTED_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERRO !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Todas as URIs Públicas definidas em
echo %3,
echo possuem linhas de comentários, portanto, o upgrade não pode ser iniciado.
echo.
echo Ele deve ter um URI público não comentado neste arquivo definido conforme a seguir:
echo https\://hostname.example.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo A propriedade de URI Público com.ibm.team.repository.server.webapp.url deve estar presente no arquivo teamserver.properties.
echo Inclua a propriedade no arquivo teamserver.properties da instalação antiga e configure o valor para ser a raiz da URI que todos os clientes usam para atingir o servidor.
echo A raiz da URI Pública é essencial para o funcionamento adequado da nova instalação. A atualização não será concluída com sucesso sem esta propriedade.
echo Para obter mais informações, consulte o tópico 'Planejando as URIs' do InfoCenter.
echo.
goto LBLEND

:LBLMSG_CONTEXT_ROOTS_CANNOT_BE_SAME
echo.
echo A raiz de contexto de jts está configurada como: '%2'.
echo A raiz de contexto do aplicativo está configurada como: '%3'.
echo As raízes de contexto do jts e do aplicativo não podem ser as mesmas.
echo.
goto LBLEND

:LBLEND
endlocal
