@echo off
rem *******************************************************************************
rem  Licensed Materials - Property of IBM
rem  (c) Copyright IBM Corporation 2012. All Rights Reserved.
rem  
rem  Note to U.S. Government Users Restricted Rights:  
rem  Use, duplication or disclosure restricted by GSA ADP Schedule 
rem  Contract with IBM Corp. 
rem  *******************************************************************************

rem ################################################################################
rem
rem File for messages displayed by the upgrade automated scripts.
rem
rem ################################################################################

setlocal
set TAB=     
if "%1" == "" goto :LBLEND
if "%1" == "HELP" goto :LBLHELP
goto LBLMSG_%1


REM *********************************
REM * Initial verification messages *
REM *********************************

:LBLMSG_NO_ADMIN_PRIVILEGES
echo.
echo 必須以管理者權限執行升級。
echo.
goto LBLEND

:LBLMSG_INVALID_LAUNCH
set TAB=    
echo.
echo 請勿直接執行 app_upgrade Script。若要升級 JTS 或應用程式，請執行下列其中一個指令：
echo %TAB%dm_upgrade
echo %TAB%vvc_upgrade
echo 如需上述指令的完整說明，請使用 -help。
echo.
goto LBLEND

:LBLMSG_INVALID_START_DIR
set TAB=    
echo.
echo 除非您正在使用 -help 參數，否則無法從 %3 以外的另一個目錄來執行 %2 Script
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAME
echo.
echo "%2" 檔包含升級 Script 的參數值。
echo 如果您需要修改任何預設參數值，您可以編輯這些檔案，也可以在升級 Script 的指令行引數中指定這些參數值。
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAMES_LIST
echo.
echo 下列檔案集包含應用程式或 JTS 升級的預設參數值。如果您需要修改任何預設參數值，您可以編輯這些檔案，也可以在升級 Script 的指令行引數中指定這些參數值。
echo %TAB%- DMM 升級："%2params\dm_params%3.bat"
echo %TAB%- VVC 升級："%2params\vvc_params%3.bat"
echo.
goto LBLEND


REM ************************************
REM * Parameters verification messages *
REM ************************************

REM Intrinsic verification
rem ======================

:LBLMSG_MISSING_APP_TYPE
echo.
echo 未指定 JTS 或應用程式類型。若要升級 JTS 或應用程式，請執行下列其中一個指令：
echo     dm_upgrade
echo     vvc_upgrade
echo 如需上述指令的完整說明，請使用 -help。
echo.
goto LBLEND

:LBLMSG_INVALID_APP_TYPE
echo.
echo %2 不是有效的應用程式類型。若要升級應用程式，請執行下列其中一個指令：
echo     dm_upgrade
echo     vvc_upgrade
echo 如需上述指令的完整說明，請使用 -help。
echo.
goto LBLEND

:LBLMSG_MISSING_PARAM_VALUE
echo.
echo 遺漏參數 %2 的值。
echo 如需完整的參數說明，請使用 -help。
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_DIR
echo.
echo 指定給 %2 參數的 %3 目錄不存在或者無效。
echo 如需完整的參數說明，請使用 -help。
echo.
goto LBLEND

:LBLMSG_RELATIVE_PARAM_DIR
echo.
echo 指定給 %2 參數的 %3 目錄必須是絕對路徑。
echo 如需完整的參數說明，請使用 -help。
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_FILE
echo.
echo 指定給 %2 參數的 %3 檔不存在或者無效。
echo 如需完整的參數說明，請使用 -help。
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_VALUE
echo.
echo %3 是 %2 參數的無效值。
echo 如需完整的參數說明，請使用 -help。
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM
echo.
echo %2 為不明參數。
echo 如需完整的參數說明，請使用 -help。
echo.
goto LBLEND


REM Extrinsic verification
rem ======================

:LBLMSG_MISSING_HOME_PARAM
echo.
echo 遺漏起始目錄參數 %2。
echo 如需完整的參數說明，請使用 -help。
echo.
goto LBLEND

:LBLMSG_DIR_NOT_FOUND
echo.
echo %2 目錄不存在或者無效。
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_2X_APP
echo.
echo 找不到應用程式 repotools 指令 '%2'。
echo.
echo 請驗證 -oldApplicationHome 參數 '%3' 是否指向舊的伺服器配置目錄，例如，'JazzInstallDir\server\conf'。
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_APP
echo.
echo 找不到應用程式 repotools 指令 '%2'。
echo.
echo 請驗證 -oldApplicationHome 參數 '%3' 是否指向舊的伺服器配置目錄，例如，'JazzInstallDir\server\conf'，以及 jtsContextRoot 參數 '%4' 是否正確。
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_2X_APP
echo.
echo 找不到配置檔 '%2'。
echo.
echo 請驗證 -oldApplicationHome 參數 '%3' 是否指向舊的伺服器配置目錄，例如，'JazzInstallDir\server\conf'。
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_APP
echo.
echo 找不到配置檔 '%2'。
echo.
echo 請驗證 -oldApplicationHome 參數 '%3' 是否指向舊的伺服器配置目錄，例如，'JazzInstallDir\server\conf'，以及 jtsContextRoot 參數 '%4' 是否正確。
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_APP
echo.
echo 找不到應用程式 repotools 指令 '%2'。
echo.
echo 請驗證 -newApplicationHome 參數 '%3' 是否指向新的應用程式伺服器配置目錄，例如，'JazzInstallDir\server\conf'，以及 jtsContextRoot 參數 '%4' 是否正確。
echo 如果您是從舊版升級，請確定您選取的環境定義根目錄正確。比方說，如果使用 Installation Manager，在「環境定義根目錄選項」畫面中，您必須選取 %5 環境定義根目錄選項。如果您不慎選取不同的選項，則必須使用 %5 環境定義根目錄選項來重新安裝產品。
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_APP
echo.
echo 找不到配置檔 '%2'。
echo.
echo 請驗證 -newApplicationHome 參數 '%3' 是否指向新的 JTS 伺服器配置目錄，例如，'JazzInstallDir\server\conf'，以及 jtsContextRoot 參數 '%4' 是否正確。
echo 如果您是從舊版升級，請確定您選取的環境定義根目錄正確。比方說，如果使用 Installation Manager，在「環境定義根目錄選項」畫面中，您必須選取 %5 環境定義根目錄選項。如果您不慎選取不同的選項，則必須使用 %5 環境定義根目錄選項來重新安裝產品。
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_JTS
echo.
echo 找不到 JTS repotools 指令 '%2'。
echo.
echo 請驗證 -oldJTSHome 參數 '%3' 是否指向舊的 JTS 伺服器配置目錄，例如，'JazzInstallDir\server\conf'，以及 jtsContextRoot 參數 '%4' 是否正確。
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_JTS
echo.
echo 找不到配置檔 '%2'。
echo.
echo 請驗證 -oldJTSHome 參數 '%3' 是否指向舊的 JTS 伺服器配置目錄，例如，'JazzInstallDir\server\conf'，以及 jtsContextRoot 參數 '%4' 是否正確。
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_JTS
echo.
echo 找不到 JTS repotools 指令 '%2'。
echo.
echo 請驗證 -newJTSHome 參數 '%3' 是否指向新的 JTS 伺服器配置目錄，例如，'JazzInstallDir\server\conf'，以及 jtsContextRoot 參數 '%4' 是否正確。
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_JTS
echo.
echo 找不到配置檔 '%2'。
echo.
echo 請驗證 -newJTSHome 參數 '%3' 是否指向新的 JTS 伺服器配置目錄，例如，'JazzInstallDir\server\conf'，以及 jtsContextRoot 參數 '%4' 是否正確。
echo.
goto LBLEND

:LBLMSG_MISSING_IMPORT_FROM_FILE
echo.
echo 在 %2 升級期間，需要含有 2.x 資料的 TAR 檔。
echo 如需完整的參數說明，請使用 -help。
echo.
goto LBLEND


REM **********************
REM * Execution messages *
REM **********************

:LBLMSG_BANNER_dm
echo.
echo.
echo =============================================
echo ===    DM 升級    ===
echo =============================================
echo.
goto LBLEND

:LBLMSG_BANNER_vvc
echo.
echo.
echo =============================================
echo ===    VVC 升級    ===
echo =============================================
echo.
goto LBLEND


REM *********************
REM * First step switch *
REM *********************

:LBLMSG_INITIAL_STEP_FAILED
echo.
echo 前次執行失敗於起始步驟...
goto LBLEND

:LBLMSG_LAST_STEP_FAILED
echo.
echo 前次執行失敗於步驟 %2...
echo 您想從這個步驟或前一個步驟重新開始升級？
goto LBLEND

:LBLMSG_ALREADY_RUN
echo.
echo 已順利完成升級...
echo 您想從特定步驟重新開始新的升級嗎？
goto LBLEND

:LBLMSG_LAST_STEP_PASSED
echo.
echo 前次執行已順利停止於步驟 %2...
echo 您想從現行步驟 %3 或前一個步驟重新開始升級嗎？
goto LBLEND

:LBLMSG_ENTER_NEXT_STEP
echo.
echo 請輸入步驟號碼 [%2-%3]，以便從該處重新開始升級，或是按下 [Enter] 鍵來取消：
goto LBLEND

:LBLMSG_INTEGER_STEP_NUMBER
echo.
echo '%2' 不是數字。請輸入有效的步驟編號。
goto LBLEND

:LBLMSG_INVALID_STEP_NUMBER
echo.
echo '%2' 是無效的步驟編號。請輸入有效的步驟編號。
goto LBLEND

:LBLMSG_MAX_STEP_NUMBER
echo.
echo 最後一個步驟是步驟 %2，因此您無法在步驟 %3 重新開始升級。
goto LBLEND

:LBLMSG_NUM_MAX_STEP_NUMBER
echo.
echo 步驟 %2 尚未執行，因此您無法在步驟 %3 重新開始升級。
goto LBLEND


REM **********************
REM * Messages for Steps *
REM **********************

:LBLMSG_STEP_0
echo 步驟 0：更新配置檔
echo ---------------------------
goto LBLEND

:LBLMSG_STEP_1_ADD
echo 步驟 1：新增表格
echo ------------------
goto LBLEND

:LBLMSG_STEP_2_UPGRADE_DATA_WAREHOUSE
echo 步驟 2：升級資料倉儲綱目
echo -------------------------------------
goto LBLEND

:LBLMSG_STEP_2_REBUILD_QUERY_AND_INDEXES
echo 步驟 %2：重建查詢和搜尋索引
echo -----------------------------------------
goto LBLEND

:LBLMSG_STEP_3_UPGRADE_DATA_WAREHOUSE
echo 步驟 3：升級資料倉儲綱目
echo -------------------------------------
goto LBLEND

:LBLMSG_FULL_TEXT_INDICES_STEP
echo 步驟 %2：重建文字索引
echo ----------------------------
goto LBLEND

:LBLMSG_JFS_INDICES_STEP
echo 步驟 %2：重建查詢並搜尋索引
echo -----------------------------------------
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_FAILED
echo.
echo %2 升級失敗於步驟 %3。請更正問題，並從步驟 %3 開始重新執行 Script。
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_DM
echo.
echo %2 升級成功。如果您已同時升級 JTS 及 VVC，則現在可以在部署中啟動伺服器。
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_VVC
echo.
echo %2 升級成功。如果您已同時升級 JTS 及任何相依應用系統（例如 DM），則現在可以在部署中啟動伺服器。
echo.
goto LBLEND

REM *******************************
REM * Messages while running step *
REM *******************************

:LBLMSG_STEP_DIR_CMD
echo.
echo 目錄：%2
echo 指令：
goto LBLEND

:LBLMSG_ENTER_STEP_ACTION
echo 輸入 [E] 執行這個步驟、輸入 [S] 跳過它，或按下 [Enter] 鍵取消執行 Script：
goto LBLEND

:LBLMSG_INVALID_STEP_ACTION
echo.
echo '%2' 輸入無效，只接受 'E'、'S' 或 'Enter'
echo.
goto LBLEND

:LBLMSG_EDIT_TEAMSERVER_PROPERTIES
echo.
echo 將開啟記事本編輯器，讓您驗證 %2 teamserver.properties 檔。
echo 驗證 com.ibm.team.repository.server.webapp.url 內容所表示的「公用 URI 根目錄」無誤。
echo 驗證資料庫內容無誤。
echo 當完成時，請儲存您的變更（若有的話），並且關閉編輯器，繼續執行 Script。
echo.
goto LBLEND

:LBLMSG_PAUSE
echo.
echo 輸入 [C] 繼續執行，或按下 [Enter] 鍵取消執行 Script：
goto LBLEND

:LBLMSG_INVALID_PAUSE_ACTION
echo.
echo '%2' 輸入無效，只接受 'C' 或 'Enter'
echo.
goto LBLEND

:LBLMSG_COPY_INDICES_FAILED
echo.
echo 無法將文字索引從 '%2' 複製到 '%3'。
echo 請驗證定義在 teamserver.properties 檔中的
echo com.ibm.team.fulltext.indexLocation 內容。
echo 請手動將文字索引複製到這個目錄，
echo 或執行 repotools -rebuildTextIndices 來重建文字索引。
echo.
goto LBLEND

REM *****************************************
REM * Messages for Public URIs verification *
REM *****************************************

:LBLMSG_MISSING_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! 錯誤 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo %3 中未定義任何
echo 「公用 URI」，
echo 因此無法開始升級。
echo.
echo 這個檔案中必須定義一個「公用 URI」，如以下所示：
echo https\://hostname.example.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo 「公用 URI」內容 com.ibm.team.repository.server.webapp.url 必須存在於 teamserver.properties 檔中。
echo 請將內容新增至舊安裝的 teamserver.properties 檔中，並將值設為所有用戶端用來呼叫伺服器的 URI 根目錄。
echo 為了讓新安裝適當發揮作用，務必提供「公用 URI」根目錄。若無這個內容，升級將不會成功。
echo 如需相關資訊，請參閱「資訊中心」的「規劃 URI」主題。
echo.
goto LBLEND

:LBLMSG_COMMENTED_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! 錯誤 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo 定義在 %3 中的所有
echo 「公用 URI」皆已註銷，
echo 因此無法開始升級。
echo.
echo 這個檔案中應該定義一個解除註解的「公用 URI」，如以下所示：
echo https\://hostname.example.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo 「公用 URI」內容 com.ibm.team.repository.server.webapp.url 必須存在於 teamserver.properties 檔中。
echo 請將內容新增至舊安裝的 teamserver.properties 檔中，並將值設為所有用戶端用來呼叫伺服器的 URI 根目錄。
echo 為了讓新安裝適當發揮作用，務必提供「公用 URI」根目錄。若無這個內容，升級將不會成功。
echo 如需相關資訊，請參閱「資訊中心」的「規劃 URI」主題。
echo.
goto LBLEND

:LBLMSG_CONTEXT_ROOTS_CANNOT_BE_SAME
echo.
echo JTS 的環境定義根目錄設為：'%2'。
echo 應用程式的環境定義根目錄設為：'%3'。
echo JTS 和應用程式的環境定義根目錄不能相同。
echo.
goto LBLEND

:LBLEND
endlocal
