@echo off
rem *******************************************************************************
rem  Materiales bajo licencia - Propiedad de IBM
rem  (c) Copyright IBM Corporation 2012. Reservados todos los derechos.
rem
rem  Note to U.S. Government Users Restricted Rights:
rem  Use, duplication or disclosure restricted by GSA ADP Schedule
rem  Contract with IBM Corp.
rem  *******************************************************************************


REM #############################################################
REM #                                                           #
REM # Defina las variables de entorno correspondientes a los    #
REM # parámetros del script dm_upgrade.bat y sus valores        #
REM # predeterminados.                                          #
REM #===========================================================#
REM #                                                           #
REM # Este archivo se lee al comienzo de la ejecución del       #
REM # script dm_upgrade.bat. Define una variable de entorno por
REM # cada parámetro válido con un valor predeterminado
REM #
REM # Es posible que los usuarios deseen modificar el valor predeterminado
REM # para lanzar el script dm_upgrade.bat con sus propios valores
REM # sin tener que especificar de forma manual el parámetro y su
REM # valor correspondiente en la línea de mandatos.
REM #
REM # AVISO:
REM # No es necesario definir todas las variables para cada
REM # aplicación.  Lea cada comentario detenidamente antes de modificar
REM # el valor.
REM #
REM #############################################################

rem Parámetro: -oldApplicationHome
rem Uso: -oldApplicationHome <vía acceso dir>
rem Descripción:
rem 	Vía de acceso completa al directorio de inicio de la aplicación en la instalación anterior.
rem Valor predeterminado:
rem 	<ninguno>
rem Restricciones:
rem  - Este parámetro es obligatorio
rem  - <vía_acceso_directorio> debe ser un directorio existente que termine en 'server\conf'
rem    por ejemplo, D:\Jazz\IBM\JazzInstallDir\jazz\server\conf
rem
set OLD_APPLICATION_HOME=

rem Parámetro: -applicationContextRoot
rem Uso: -applicationContextRoot <raíz>
rem Descripción:
rem 	Raíz de contexto de aplicación.
rem Valor predeterminado:
rem 	dm
rem Restricciones:
rem  - <raíz> debe ser un nombre único de directorio válido (es decir, ninguna barra inclinada inicial)
rem
set APPLICATION_CONTEXT_ROOT=dm

rem Parámetro: -oldApplicationVersion
rem Uso: -oldApplicationVersion <versión>
rem Descripción:
rem  Versión de DM que se está actualizando. De forma predeterminada, se
rem     determina ejecutando repotools -version en la aplicación anterior.
rem Valor predeterminado:
rem 	<ninguno>
rem Restricciones:
rem  - Debe ser una serie de versión completa
rem    por ejemplo, 4.0
rem
set OLD_APPLICATION_VERSION=

rem Parámetro: -newApplicationHome
rem Uso: -newApplicationHome <vía_acceso_directorio>
rem Descripción:
rem 	Vía de acceso al directorio de inicio de la aplicación en la nueva instalación.
rem Valor predeterminado:
rem 	<dir_actual>/conf
rem Restricciones:
rem  - Este parámetro es obligatorio
rem  - <vía_acceso_directorio> debe ser un directorio existente que termine en 'server\conf'
rem    e.g. D:\Jazz\IBM\JazzInstallDir\server\conf
rem
set NEW_APPLICATION_HOME="%START_DIR%\conf"

rem Parámetro: -updateTomcatFiles
rem Uso: -updateTomcatFiles <yes | no>
rem Descripción:
rem 	Si deben actualizarse los archivos de configuración tomcat.
rem Valor predeterminado:
rem 	yes
rem Restricciones:
rem  - Los únicos valores válidos son 'yes' y 'no'
rem
set UPDATE_TOMCAT_FILES=yes

rem Parámetro: -oldApplicationTomcatHome
rem Uso: -oldApplicationTomcatHome <vía_acceso_directorio>
rem Descripción:
rem 	Vía de acceso completa al directorio raíz de Tomcat en la instalación antigua.
rem Valor predeterminado:
rem 	<ninguno>
rem Restricciones:
rem  - Debe ser un directorio existente
rem
set OLD_APP_TOMCAT_HOME=

rem Parámetro: -newApplicationTomcatHome
rem Uso: -newApplicationTomcatHome <vía_acceso_directorio>
rem Descripción:
rem 	Vía de acceso al directorio raíz Tomcat de la aplicación en la nueva instalación.
rem Valor predeterminado:
rem 	<ninguno>
rem
set NEW_APP_TOMCAT_HOME=

rem Parámetro: -newJTSHome
rem Uso: -newJTSHome <vía_acceso_directorio>
rem Descripción:
rem 	Vía de acceso al directorio de configuración del servidor JTS que se utilizará en la nueva instalación.
rem Valor predeterminado:
rem 	Directorio de inicio de la nueva aplicación
rem Restricciones:
rem  - <vía_acceso_directorio> debe ser un directorio existente que termine en 'server\conf'
rem
set NEW_JTS_HOME=

rem Parámetro: -jtsContextRoot
rem Uso: -jtsContextRoot <raíz>
rem Descripción:
rem 	Raíz de contexto del servidor JTS.
rem Valor predeterminado:
rem 	jts
rem Restricciones:
rem  - <raíz> debe ser un nombre único de directorio válido (es decir, ninguna barra inclinada inicial)
rem
set JTS_CONTEXT_ROOT=jts

rem Parámetro: -noPrompt
rem Uso: -noPrompt
rem Descripción:
rem 	No se muetra ninguna solicitud antes de crear o modificar tablas
rem Valor predeterminado:
rem 	<ninguno>
rem Restricciones:
rem  - Los únicos valores válidos son vacío o 'noPrompt'
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Parámetro: -noVerify
rem Uso: -noVerify
rem Descripción:
rem 	No realizar verificación de los archivos teamserver.properties.
rem Valor predeterminado:
rem 	<ninguno>
rem Restricciones:
rem  - Los únicos valores válidos son en blanco o 'noVerify'
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Parámetro: -overwrite
rem Uso: -overwrite
rem Descripción:
rem 	Si debe sobrescribirse algún archivo existente.
rem Valor predeterminado:
rem 	no
rem Restricciones:
rem  - Los únicos valores válidos son en blanco u 'overwrite=yes'
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem Parámetro: -noStepPrompt
rem Uso: -noStepPrompt
rem Descripción:
rem 	No mostrar solicitud antes de ejecutar un paso.
rem Valor predeterminado:
rem 	false
rem Restricciones:
rem  - Los únicos valores válidos son 'true' o 'false'
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false
