@echo off
rem *******************************************************************************
rem  Licenc hatálya alá eső anyagok - Az IBM tulajdona
rem  (c) Copyright IBM Corporation 2012. Minden jog fenntartva.
rem
rem  Megjegyzés az Egyesült Államokhoz kormányzati felhasználóira vonatkozó
rem  korlátozott jogokhoz: A használatot, sokszorosítást vagy közzétételt az
rem  IBM vállalattal kötött GSA ADP Schedule Contract szerződés szabályozza
rem  *******************************************************************************


REM #############################################################
REM #
REM # Adja meg a környezeti változókat, amelyek megfelelnek a
REM # dm_upgrade.bat parancsfájl paramétereinek, és azok alapértelmezett értékeit
REM #
REM #===========================================================
REM #
REM # Ezt a fájlt a dm_upgrade.bat parancsfájl végrehajtásának
REM # kezdetekor olvassa a rendszer. Egy környezeti változót állít be
REM # érvényes, előre meghatározott alapértelmezett értékkel rendelkező paraméterenként.
REM #
REM # A felhasználók módosíthatják az alapértelmezett értéket a
REM # dm_upgrade.bat saját értékekkel való indításához,
REM # anélkül, hogy meg kellene adniuk a paramétert és a
REM # megfelelő értéküket a parancssorban.
REM #
REM # FIGYELMEZTETÉS:
REM # Nem minden változót szükséges beállítani minden
REM # alkalmazáshoz.  Olvasson el figyelmesen minden megjegyzést az
REM # érték módosítása előtt.
REM #
REM #############################################################

rem Paraméter: -oldApplicationHome
rem Használat: -oldApplicationHome <könyvtár útvonala>
rem Leírás:
rem 	Az alkalmazás alapkönyvtárának teljes elérési útvonala a régi telepítésben.
rem Alapértelmezett:
rem 	<nincs>
rem Megszorítások:
rem  - ez egy kötelező paraméter
rem  - a <könyvtár útvonala> egy létező könyvtár kell, hogy legyen a következő végződéssel: 'server\conf'
rem    pl.: D:\Jazz\IBM\JazzInstallDir\jazz\server\conf
rem
set OLD_APPLICATION_HOME=

rem Paraméter: -applicationContextRoot
rem Használat: -applicationContextRoot<gyökér>
rem Leírás:
rem 	Az alkalmazás kontextusgyökere.
rem Alapértelmezett:
rem 	dm
rem Megszorítások:
rem  - a <gyökér> egy érvényes, egyedüli könyvtárnév kell, hogy legyen (azaz ne tartalmazzon kezdő perjelet)
rem
set APPLICATION_CONTEXT_ROOT=dm

rem Paraméter: -oldApplicationVersion
rem Használat: -oldApplicationVersion <változat>
rem Leírás:
rem 	A frissítendő DM változat.  Alapértelmezés szerint ez a régi alkalmazáson a
rem     repotools -version parancs futtatásával határozható meg.
rem Alapértelmezés:
rem 	<nincs>
rem Megszorítások:
rem  - egy teljes verzió karaktersorozat,
rem    például 4.0
rem
set OLD_APPLICATION_VERSION=

rem Paraméter: -newApplicationHome
rem Használat: -newApplicationHome <könyvtár útvonala>
rem Leírás:
rem 	Az alkalmazás alapkönyvtárának elérési útvonala az új telepítésben.
rem Alapértelmezett:
rem 	<aktuális_könyvtár>/conf
rem Megszorítások:
rem  - Ez egy kötelező paraméter
rem  - a <könyvtár útvonala> egy létező könyvtár kell, hogy legyen a következő végződéssel: 'server\conf'
rem    pl.: D:\Jazz\IBM\JazzInstallDir\server\conf
rem
set NEW_APPLICATION_HOME="%START_DIR%\conf"

rem Paraméter: -updateTomcatFiles
rem Használat: -updateTomcatFiles <igen | nem>
rem Leírás:
rem 	Frissítse-e a tomcat konfigurációs fájlokat?
rem Alapértelmezett:
rem 	yes
rem Megszorítások:
rem  - Az egyedül érvényes értékek a következők: 'yes' és 'no'
rem
set UPDATE_TOMCAT_FILES=yes

rem Paraméter: -oldApplicationTomcatHome
rem Használat: -oldApplicationTomcatHome <könyvtár útvonala>
rem Leírás:
rem 	A Tomcat gyökérkönyvtárának teljes elérési útvonala a régi telepítésben.
rem Alapértelmezett:
rem 	<nincs>
rem Megszorítások:
rem  - Egy létező könyvtárnak kell lennie
rem
set OLD_APP_TOMCAT_HOME=

rem Paraméter: -newApplicationTomcatHome
rem Használat: -newApplicationTomcatHome <könyvtár útvonala>
rem Leírás:
rem 	A Tomcat alkalmazás gyökérkönyvtárának elérési útvonala az új telepítésben.
rem Alapértelmezett:
rem 	<nincs>
rem
set NEW_APP_TOMCAT_HOME=

rem Paraméter: -newJTSHome
rem Használat: -newJTSHome <könyvtár útvonala>
rem Leírás:
rem 	Az új telepítés által használt JTS kiszolgáló konfigurációs könyvtárának útvonala.
rem Alapértelmezett:
rem 	Az új alkalmazás saját könyvtára
rem Megszorítások:
rem  - a <könyvtár útvonala> egy létező könyvtár kell, hogy legyen a következő végződéssel: 'server\conf'
rem
set NEW_JTS_HOME=

rem Paraméter: -jtsContextRoot
rem Használat: -jtsContextRoot <gyökér>
rem Leírás:
rem 	A JTS kiszolgáló kontextusgyökere.
rem Alapértelmezett:
rem 	jts
rem Megszorítások:
rem  - <gyökér> egy érvényes, egyedüli könyvtárnévnek kell lennie (azaz ne tartalmazzon kezdő perjelet)
rem
set JTS_CONTEXT_ROOT=jts

rem Paraméter: -noPrompt
rem Használat: -noPrompt
rem Leírás:
rem 	Ne kérdezzen rá a táblák létrehozása vagy módosítása előtt
rem Alapértelmezett:
rem 	<nincs>
rem Megszorítások:
rem  - A kizárólag érvényes értékek: üres vagy 'noPrompt'
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Paraméter: -noVerify
rem Használat: -noVerify
rem Leírás:
rem 	Ne hajtsa végre a teamserver.properties fájlok ellenőrzését.
rem Alapértelmezett:
rem 	<nincs>
rem Megszorítások:
rem  - Az egyedül érvényes értékek a következők: üres vagy 'noVerify'
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Paraméter: -overwrite
rem Használat: -overwrite
rem Leírás:
rem 	Felülírjon-e bármilyen létező fájlt?
rem Alapértelmezett:
rem 	no
rem Megszorítások:
rem  - Az egyedül érvényes értékek a következők: üres vagy 'overwrite=yes'
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem Paraméter: -noStepPrompt
rem Használat: -noStepPrompt
rem Leírás:
rem 	Ne kérdezzen rá egy lépés végrehajtása előtt.
rem Alapértelmezett:
rem 	false
rem Megszorítások:
rem - Az egyedül érvényes értékek a következők: 'true' vagy 'false'
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false
